=== debian/changelog ===
xilinx-vcu-omx (2020.2-0ubuntu4~20.04.1) focal; urgency=medium

  * SRU to focal (LP: #1929834)

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 28 May 2021 10:34:49 +0200

xilinx-vcu-omx (2020.2-0ubuntu4~20.04) focal; urgency=medium

  * Backport hirsute patches

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Fri, 14 May 2021 17:21:28 +0200

xilinx-vcu-omx (2020.2-0ubuntu1) focal; urgency=medium

  * Update to xilinx-v2020.2 tag

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Tue, 15 Dec 2020 14:47:04 +0100

xilinx-vcu-omx (2020.1-0ubuntu0xlnx3) focal; urgency=medium

  * Fix install paths

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 26 Oct 2020 20:35:51 +0100

xilinx-vcu-omx (2020.1-0ubuntu0xlnx2) focal; urgency=medium

  * Install in /usr/lib/ instead of /usr/lib/$DEB_TARGET_MULTIARCH, as
    there are hard-coded paths in the code pointing to /usr/lib.

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 26 Oct 2020 17:30:40 +0100

xilinx-vcu-omx (2020.1-0ubuntu0xlnx1) focal; urgency=medium

  * Initial release.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 07 Jun 2020 17:26:19 +0200
