=== debian/control ===
Source: xilinx-vcu-omx
Section: multiverse/graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 12),
               libxilinx-vcu-dev (>= 2020.1~),
Standards-Version: 4.5.0

Package: xilinx-vcu-omx-utils
Architecture: arm64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xilinx VCU OpenMax Integration Layer - command-line utilities
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU OpenMax (OMX) Integration Layer (IL) provides an
 implementation of OMX IL for this hardware.
 .
 This package contains the command-line utilities.

Package: libxilinx-vcu-omx1
Section: multiverse/libs
Architecture: arm64 armel armhf
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Xilinx VCU OpenMax Integration Layer - runtime libraries
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU OpenMax (OMX) Integration Layer (IL) provides an
 implementation of OMX IL for this hardware.
 .
 This package contains the runtime libraries.

Package: libxilinx-vcu-omx-dev
Section: multiverse/libdevel
Architecture: arm64 armel armhf
Depends: ${misc:Depends}
         libxilinx-vcu-omx1 (= ${binary:Version})
Description: Xilinx VCU OpenMax Integration Layer - development files
 Some Xilinx models include a hardware Video Codec Unit (VCU). The
 Xilinx VCU OpenMax (OMX) Integration Layer (IL) provides an
 implementation of OMX IL for this hardware.
 .
 This package contains the development files.
