=== debian/watch ===
version=4
opts="filenamemangle=s%.*xilinx-v?(\d.*)\.tar\.gz%xilinx-vcu-omx-$1.tar.gz%" \
    https://github.com/Xilinx/vcu-omx-il/releases \
    .*xilinx-v?(\d.*)\.tar\.gz debian uupdate
