## xilinx-vcu-omx 2022.1

=== debian/changelog ===
xilinx-vcu-omx (2022.1-0ubuntu0xlnx1) jammy; urgency=medium

  * Update to Xilinx xilinx_v2022.1 tag
  * Fix license header in copyright file.
  * Fix critical missing comma in dependencies.

 -- Hon Ming Hui <honming.hui@canonical.com>  Tue, 31 May 2022 18:46:35 +0800

xilinx-vcu-omx (2020.2-0ubuntu4) hirsute; urgency=medium

  * Correct url in debian/copyright, fix filename in debian/watch.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 15 Apr 2021 12:52:24 +0200

xilinx-vcu-omx (2020.2-0ubuntu3) hirsute; urgency=medium

  * Add watch file and fix lintian warnings

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Mon, 12 Apr 2021 12:24:53 +0200

xilinx-vcu-omx (2020.2-0ubuntu2) hirsute; urgency=medium

  * Rebuild for hirsute

 -- Alfonso Sanchez-Beato (email Canonical) <alfonso.sanchez-beato@canonical.com>  Wed, 24 Mar 2021 15:43:41 +0100
