=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 12),
-               libxilinx-vcu-dev (>= 2020.1~),
+               libxilinx-vcu-dev (>= 2022.1~),
 Standards-Version: 4.5.0
 
 Package: xilinx-vcu-omx-utils
@@ -30,7 +30,7 @@
 Package: libxilinx-vcu-omx-dev
 Section: multiverse/libdevel
 Architecture: arm64 armel armhf
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, 
          libxilinx-vcu-omx1 (= ${binary:Version})
 Description: Xilinx VCU OpenMax Integration Layer - development files
  Some Xilinx models include a hardware Video Codec Unit (VCU). The
