=== debian/watch ===
version=4
opts="filenamemangle=s%.*xilinx_v?(\d.*)\.tar\.gz%xilinx-vcu-omx-$1.tar.gz%,oversionmangle=s%_%-%" \
    https://github.com/Xilinx/vcu-omx-il/tags \
    .*xilinx_v?(\d.*)\.tar\.gz debian uupdate
